# TYPE = "<extensions>@<default mimetype>@<default dlna item type>@<other types to check>"
# Process is:
# extension -> types -> try each parser registered for the types, that have not already been tried (note tried parsers)
#			on the first ok exit 
#			otherwise try <other types to check> recursively
#			if none is ok return <default mimetype> and <default dlna item type>
#
# Each line entry becomes a definition of a virtual parser 
# (that may be composed from other parsers, or just mimetype and item type) 
# registered for TYPE + extensions association with the TYPE
[MimeTypesExcluded]

# Excluded types
EXE		= "exe@application/exe@object.item"
ZIP		= "zip@application/zip@object.item"
ELF		= "@application/octet-stream@object.item"

[MimeTypes]

#.		= "mpg@video/vnd.dlna.mpeg-tts@item.videoItem"

# Pictures
PNG		= "png@image/png@item.imageItem"
TIFF	= "tif@image/tif@item.imageItem"
GIF		= "gif@image/gif@item.imageItem"
JPEG	= "jpg,jpeg@image/jpeg@item.imageItem"
JPS		= "jps@image/jps@item.imageItem"
MPO		= "mpo@image/mpo@item.imageItem"
BMP		= "bmp@image/bmp@item.imageItem"

# Audio
MP3		= "mp3@audio/mpeg,audio/x-mpeg@item.audioItem"
WAV		= "wav,wv,raw,pcm@audio/wav@item.audioItem@RIFF,PCM"
PCM		= "pcm@audio/L16@item.audioItem@WAV"
OGG		= "ogg@audio/x-ogg@item.audioItem"
#M4A		= "m4a@audio/mp4@item.audioitem"
WMA		= "wma@audio/x-ms-wma@item.audioItem@ASF"
MKA		= "mka@audio/x-matroska@item.audioItem@MKV"
MPEGA	= "mpa,m1a,m2a@audio/mpeg@item.audioItem@MPEGTS,MPEGPS"
#ADTS	= "adts@audio/vnd.dlna.adts@item.audioItem"
#3GPP	= "3gpp@audio/mp4@item.audioItem"
#3GPPx	= "3gpp@audio/3gpp@item.audioItem"
AAC		= "aac,adts@audio/vnd.dlna.adts@item.audioItem"
DTS		= "dts,dtshd@audio/vnd.dts@item.audioItem"
MPG4A	= "m4a@audio/mp4@item.audioItem@MPG4"
AC3     = "ac3@audio/vnd.dolby.dd-raw@item.audioItem"
MIDI	= "mid@audio/x-midi@item.audioItem"
FLAC	= "flac@audio/x-flac@item.audioItem"
AIFF	= "aiff@audio/x-aiff@item.audioItem"

# Video
RIFF	= "avi@video/avi,video/x-msvideo,video/msvideo,video/vnd.avi@item.videoItem"
WMV		= "wmv@video/x-ms-wmv@item.videoItem@ASF"
ASF		= "asf@video/x-ms-asf@item.videoItem"
MKV		= "mkv@video/x-matroska@item.videoItem"
MPEG	= "mpeg,mpg,mpe,mpeg2,mpg2,mp2ve@video/mpeg@item.videoItem@MPEGTS,MPEGPS,MPEGV,DTCP"
MPEGV	= "m1v,m2v@video/mpeg@item.videoItem@MPEGTS,MPEGPS"
MPEGPS	= "vob,ps@video/mpeg@item.videoItem"
MPEGTS	= "tts,ts,tp,mp2x@video/mpeg@item.videoItem"
MPG4V	= "3g2,3gp,m4v,mov,3gpp@video/mp4@item.videoItem@MPG4"
MPG4	= "mp4@video/mp4@item.videoItem"
CFF		= "uvu,uvvu@video/vnd.dece.mp4@item.videoItem@MPG4"
#MOV	= "mov@video/quicktime@item.videoItem"
REAL	= "rmvb,rm@video/vnd.rn-realvideo@item.videoItem"
DIVX    = "divx@video/x-divx@item.videoItem@RIFF"
MPEGTTS	= "mpg@video/vnd.dlna.mpeg-tts@item.videoItem"
FLV     = "flv@video/x-flv@item.videoItem"
DASH	= "mpd@video/mpeg@item.videoItem"

# Playlists
M3U		= "m3u,m3u8@audio/x-mpegurl@item.playlistItem"
ASX		= "asx@video/x-ms-asf@item.playlistItem"
PLS		= "pls@audio/x-scpls@item.playlistItem"
WPL		= "wpl@application/vnd.ms-wpl@item.playlistItem"

# XHTML
XHTML   = "xhtml@text/xml@item.xhtmlItem"

# DTCP (fake)
DTCP	= "mpeg,mpg@video/mpeg@item.videoItem"

# Subtitles
SUB		= "srt,smi,sami@text/plain@item"
MKS		= "mks@application/x-matroska@item@MKV"

# awMediaInfo Parser
INI		= "awmediainfo@text/plain@item"

# Obsolete
#TXT		= "txt@text/plain@item"
#URL		= "url@application/x-url@item.htmlItem"

#DRVMS	= "dvr-ms@@item.videoItem"
#EPG		= "epg@EPG/EPG@item"

#CDA		= "cda@application/x-cdf@item.audioItem"
#DVD		= "dvd@application/x-dvd@item.videoItem"
